DMTextInternal::SubDocument Class Reference

Internal: the subdocument of a DMText. More...

Inheritance diagram for DMTextInternal::SubDocument:

## Public Member Functions

| SubDocument (DMText &pars, MWAWInputStreamPtr input, int id, libmwaw::SubDocumentType type)
| constructor for a footer zone More...
| SubDocument (DMText &pars, MWAWInputStreamPtr input, std::string const &text, libmwaw::SubDocumentType type)
| constructor for a comment zone More...
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWContentListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Protected Attributes

DMText * | m_textParser
| the text parser More...
int | m_id
| the subdocument id More...
std::string | m_text
| the string text More...
libmwaw::SubDocumentType | m_type
| the subdocument type More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions

| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a DMText.

## Constructor & Destructor Documentation

DMTextInternal::SubDocument::SubDocument | ( | DMText & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | id,
|  | libmwaw::SubDocumentType | type
| ) |  |

inline

constructor for a footer zone

DMTextInternal::SubDocument::SubDocument | ( | DMText & | pars,
|  | MWAWInputStreamPtr | input,
|  | std::string const & | text,
|  | libmwaw::SubDocumentType | type
| ) |  |

inline

constructor for a comment zone

virtual DMTextInternal::SubDocument::~SubDocument | ( |  | ) |

inline virtual

destructor

DMTextInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |

private

## Member Function Documentation

bool DMTextInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const

virtual

operator!=

Reimplemented from MWAWSubDocument.

Referenced by operator==().

SubDocument& DMTextInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |

private

virtual bool DMTextInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const

inline virtual

operator!==

void DMTextInternal::SubDocument::parse | ( | MWAWContentListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |

virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

int DMTextInternal::SubDocument::m_id

protected

the subdocument id

Referenced by operator!=(), and parse().

std::string DMTextInternal::SubDocument::m_text

protected

the string text

Referenced by operator!=(), and parse().

DMText* DMTextInternal::SubDocument::m_textParser

protected

the text parser

Referenced by operator!=(), and parse().

libmwaw::SubDocumentType DMTextInternal::SubDocument::m_type

protected

the subdocument type

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- DMText.cxx